Subject: Less Corporate Diversity

From: Eric Burger <[email-masked]>
Date: Wed, 20 Mar 2013 15:18:24 -0400

How much is the concentration of corporate participation in the IETF a result of market forces, like consolidation and bankruptcy, as opposed to nefarious forces, like a company hiring all of the I* leadership? We have mechanisms to deal with the latter, but there is not much we can do about the former.

---

From: tsg <[email-masked]>
Date: Wed, 20 Mar 2013 12:32:08 -0700

> How much is the concentration of corporate participation in the IETF a result of market forces, like consolidation and bankruptcy, as opposed to nefarious forces, like a company hiring all of the I…
Sure you can - you can put in place formal requirements for disclosure 
and actually make licenses which are recallable for frauds or other bad 
acts in the process.

The issue isnt whether the goal of the IETF is a laudable one or not - 
it clearly is, the issue is whether the IETF itself is responsible for 
actions which its infrastructure is used to control are allowed or not 
and what the issues for threshold of damages are.

Bluntly this IETF has no statistical idea on any of these things because 
it has intentionally put in place controls which are either too complex 
to implement or are glad-handed and ignored like the BCP78/79 rules 
which say "All parties speak regularly with their sponsors legal 
departments to keep them abreast on changes or things of interest in the 
standards process"... (yeah right...).

No really - its about time everything here got locked down so everything 
is open and a little-guy really can submit and promulgate a technology 
through standardization.

Todd

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 20 Mar 2013 17:37:48 -0400

On Wed, Mar 20, 2013 at 03:18:24PM -0400, Eric Burger wrote:
> How much is the concentration of corporate participation in the IETF a
> result of market forces, like consolidation and bankruptcy, as opposed to
> nefarious forces, like a company hiring all of the I* leadership? We have
> mechanisms to deal with the latter, but there is not much we can do about
> the former.

Having started in the IETF at a much smaller vendor, it's less a nefarious
thing than it is a money thing.

When you're talking about participation at the conferences, the cost of
flying someone to the venue, paying for the conference fee and covering
hotel can be a big burden for smaller companies.  They then have to pick and
choose which groups it makes sense to get a human to attend.

Even on-the-list participation can be a financial burden.  Someone has to
spend a chunk of their time doing standards work instead of other things
like code.

I* leadership is even messier.  IETF is effectively asking for half or more
of the time of those people.  They are effectively being given a form of
patronage to do IETF work.

-- Jeff

---

From: Jari Arkko <[email-masked]>
Date: Wed, 20 Mar 2013 23:36:59 +0100

I think it is mostly market forces and historical reasons, and the development of the IETF to focus on more particular core aspects of the Internet (like routing) as opposed to what the small shops might work on.

But I think we are missing a bit of the point in this discussion. I do not feel that we need to prove we are somehow "no worse" than industry average. The point is that *if* we had more diversity along many of the discussed lines, we'd be far better off. For instance, having people from multiple organisations provide input to a last would be preferable to just a few. Similarly with the other dimensions of diversity. When I talked to some of the ISOC fellows last week, I realised peering is very different on different continents. Even if there may be less economic activity on networking on those continents, it would be good for us to understand the real situations around the world, as opposed to thinking the whole world is like where we live. Diversity = good in most cases, and increasing that goodness should be the goal.

Jari

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 20 Mar 2013 16:14:06 -0700

On 3/20/13 2:37 PM, Jeffrey Haas wrote:
>> How much is the concentration of corporate participation in the
>> IETF a result of market forces, like consolidation and
>> bankruptcy, as opposed to nefarious forces, like a company hiring
>> all of the I* leadership? We have mechanisms to deal with the
>> latter, but there is not much we can do about the former.
> 
> Having started in the IETF at a much smaller vendor, it's less a
> nefarious thing than it is a money thing.
> 
> When you're talking about participation at the conferences, the
> cost of flying someone to the venue, paying for the conference fee
> and covering hotel can be a big burden for smaller companies.  They
> then have to pick and choose which groups it makes sense to get a
> human to attend.
> 
> Even on-the-list participation can be a financial burden.  Someone
> has to spend a chunk of their time doing standards work instead of
> other things like code.
> 
> I* leadership is even messier.  IETF is effectively asking for half
> or more of the time of those people.  They are effectively being
> given a form of patronage to do IETF work.

+1

When I worked at a small vendor, I attended IETF meetings only when
there was work happening directly related to what my company care
about. I *might* have been able to be a WG chair, but there is no way
I could have been an area director until after our small company was
acquired by Cisco.

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: [email-masked] (Martin Rex)
Date: Thu, 21 Mar 2013 00:20:53 +0100 (CET)

Jari Arkko wrote:
> 
> But I think we are missing a bit of the point in this discussion.
> I do not feel that we need to prove we are somehow "no worse" than
> industry average. The point is that *if* we had more diversity along
> many of the discussed lines, we'd be far better off. For instance,
> having people from multiple organisations provide input to a last
> would be preferable to just a few. Similarly with the other dimensions
> of diversity. When I talked to some of the ISOC fellows last week,
> I realised peering is very different on different continents.

I'm far from convinced that the IETF would be "better off" with strong
diversity (company-wise and cultural-wise).  This probably begs for
clarification how we define "better off" in the first place.

The more diverse the "culture", the higher the probability for
miscommunication (misunderstanding and taking offense).

The more more diverse the (interests) of the affiliations of IETF
participants and IETF leadership, the hotter the dicussions typically
burn on contentious issues (ratholing).  That is at least my very
personal perception (over the past 18 years, but admittedly from
just a few WGs in the security area, that are probably not representative
of the IETF in general).

This does *NOT* mean that that I am opposed to diversity in any way.

But I do not believe that more diversity will unconditionally improve the
situation.

http://4.bp.blogspot.com/_W7qnSgy4xWo/TI_htYJ9pqI/AAAAAAAAADM/AdNqCzCBz14/s640/Too+many+cooks+spoil+the+broth.jpg

While I agree that it helps avoiding a "few big vendors" bias.
is this really a significant problem _today_, adversely affecting a
non-marginal amount of the current IETF output, and in a fashion where
simply more diversity in the I* leadership would bring a noticable
improvement--without that same change adversely affecting the amount
and quality of the *other* IETF output?

-Martin

---

From: Melinda Shore <[email-masked]>
Date: Wed, 20 Mar 2013 15:33:06 -0800

> and quality of the *other* IETF output?

I think it would improve the quality of stewardship and review,
and the understanding of what's going on in the industry and
where the needs and priorities are.  I also think that the very
distinct western bias in the leadership means that there's a
distinct lack of familiarity with deployment and management
models being used (or assumed) by a growing portion of IETF
participants.

I also expect that I am not the only participant who's a
consultant and at least partly self-funded and regularly coming
to meetings, but there will always be folks saying that we
don't exist, even as people seem to not want to acknowledge
that there were a lot of women who'd accepted IESG nominations
this cycle.

But, I do think that given our decision-making structures and
so on, and given the speed with which people I thought knew
better zoomed over to the "NO QUOTAS!" place when the issue
was raised, this situation is basically irreparable.

Melinda

---

From: [email-masked] (Martin Rex)
Date: Thu, 21 Mar 2013 01:51:08 +0100 (CET)

Melinda Shore wrote:
> Martin Rex wrote:

I'm having difficulties to follow (but I'm also new to diversity discussions).
It is my understanding that work in the IETF is done by individual
participants within Working Groups or as individuals.  Review seems to
happen within WGs, and the review work(load) seems to have significantly
shifted from ADs to Directorates.

The IETF rough consensus model with its (1- or 2-level) Last Calls is
intended to ensure resolution of objections or technical concerns,
even when raised by only one single IETF participant.

My impression of todays IESG role, in particular taking their
balloting rules and their actual balloting results into account,
is more of a "confirming body" of work that happened elsewhere
(primarily in the IETF, typically in IETF WGs, but also individual or
interest groups submissions from elsewhere, though the latter mostly
for (re)publication as informational).

IMHO, the IESG is not (and maybe never was?) a committee where _each_
member reviews _all_ of the work, where _each_ forms his very own opionion,
and where all of them caste a VOTE at the end, so that the diversity
within that committee would be vitally beneficial (to anything).

> was raised, this situation is basically irreparable.

The "leadership" in the IETF is not limtied to I* positions.

To me, it appears that WG chairs (can) have (if they so desire)at least
as much impact on actual work that happens in WGs as the responsible AD,
and directorate review of documents is at least as relevant as
reviews of individual ADs (if not more), and both of these functions
(WG Chair) and directorate participation seem to require much less
time&monetary investments from IETF participants than I* functions,
and the positions outnumber the I* positions probably by a magnitude.

-Martin

---

From: Melinda Shore <[email-masked]>
Date: Wed, 20 Mar 2013 17:01:16 -0800

> shifted from ADs to Directorates.

With all due respect, I can't find any RFCs you've authored or working
groups you've chaired.  Or, for that matter, any current internet
drafts.  I absolutely could have missed something and I hope that if
I'm wrong you'll correct me.  However, if I'm not wrong, you haven't
been through the process of bringing work into the IETF, socializing
it, and trying to get it published or adopted, in which case you're
missing a lot.

Melinda

---

From: <[email-masked]>
Date: Thu, 21 Mar 2013 02:27:53 +0000

An ad-hominem argument, Melinda?

really?

Lloyd Wood
http://sat-net.com/L.Wood/

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Melinda Shore [[email-masked]]
Sent: 21 March 2013 01:01
To: [email-masked]
Cc: [email-masked]
Subject: Re: Less Corporate Diversity

Melinda

---

From: John C Klensin <[email-masked]>
Date: Wed, 20 Mar 2013 23:03:32 -0400

--On Wednesday, March 20, 2013 23:36 +0100 Jari Arkko
<[email-masked]> wrote:

> I think it is mostly market forces and historical reasons, and
> the development of the IETF to focus on more particular core
> aspects of the Internet (like routing) as opposed to what the
> small shops might work on.

I mostly agree.  However, I see lots of activity in Apps and
RAI, very little of which would seem to be "core aspects of the
Internet".  Also, given the cost factor, the length of time it
usually seems to take us to spin up a WG and get anything done
is probably also a significant barrier: a small shop who could
afford to send someone to a meeting or three might have neither
the people-resources nor travel and meeting budget to commit to
a few years of meetings.
 
> But I think we are missing a bit of the point in this
> discussion. I do not feel that we need to prove we are somehow
> "no worse" than industry average. The point is that *if* we
> had more diversity along many of the discussed lines, we'd be
> far better off. For instance, having people from multiple
> organisations provide input to a last would be preferable to
> just a few. Similarly with the other dimensions of diversity.
> When I talked to some of the ISOC fellows last week, I
> realised peering is very different on different continents.

I have run across another example fairly often that was, I
think, mentioned briefly last week.  Most of us are used to
network connections of very high bandwidth and quality.  Our
protocol designs and implementations are developed and tested on
those networks and, usually, on the very latest and most
powerful equipment.  The IETF would almost certainly benefit
from vigorous input from people whose environments are
characterized by longer delays, serious congestion, packet
fragmentation, and so on.  Without them, I fear that
implementations of a lot of our work, and maybe the work itself,
will not be acceptable in lower-end or more congested networks
or from computer systems more typical of that average Internet
user and that they will not have the level of robustness that
ought to be one of the Internet's strengths.

> Even if there may be less economic activity on networking on
> those continents, it would be good for us to understand the
> real situations around the world, as opposed to thinking the
> whole world is like where we live. Diversity = good in most
> cases, and increasing that goodness should be the goal.

Indeed.  And, taking the comment above a step further, one need
only go to a sufficiently rural area in many developed countries
--one that is served exclusively by overloaded high orbit
satellite links (with the delay times that implies) -- to
encounter the problem even though people from "other continents"
are more likely to be articulate about the issues and easier to
get to the IETF then those rural users.

    john

---

From: Hector Santos <[email-masked]>
Date: Thu, 21 Mar 2013 01:01:46 -0400

On 3/20/2013 3:18 PM, Eric Burger wrote:

 > How much is the concentration of corporate participation in
 > the IETF a result of market forces, like consolidation and
 > bankruptcy, as opposed to nefarious forces, like a company
 > hiring all of the I* leadership? We have mechanisms to deal
 > with the latter, but there is not much we can do about the
 > former.

I am not catching the question.  Are you concern there is an increasing 
potential for a "conflict of interest" loophole the IETF may no longer 
afford to manage and control?

We will always have Cooperative Competition.  The IETF damage can only 
be to sanction the standardization of a problematic method or technology 
and/or the straggle hold of a market direction.  Generally, the market 
will speak for itself.  We need the market and technology leaders for 
the rest to follow, but the IETF role should continue to be the 
gatekeeper and watchdog for open and public domain standards.

--
HLS

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 21 Mar 2013 08:53:18 +0000

Martin,

On 21/03/2013 00:51, Martin Rex wrote:
...
> within that committee would be vitally beneficial (to anything).

I think you've misinterpreted the IESG procedures a bit. The definition
of a NO OBJECTION ballot in the IESG ranges from "I read it, and I have
no problem with it" to "I listened to the discussion, and I have no problem."
It's impossible to say objectively which of these extremes predominates,
but when I was General AD, I tried to at least speed-read every draft,
and studied the Gen-ART reviews carefully. Individual ADs vary in their
habits according to workload, but my sense is that there is a strong
sense of collective responsibility and definitely not a sense of
rubber stamping. You could check the statistices I suppose, but it
is normal that when there is a DISCUSS ballot, it is from an AD in
another IETF area, and very rarely from the co-AD in the same area.
That wouldn't happen if the IESG was a rubber-stamping machine.

Therefore, diversity (on any axis) within the IESG can impact the
results. But it is only at the output end, and diversity within WGs
should be even more valuable in generating robust technical results.

   Brian

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Mar 2013 08:58:32 -0400

> miscommunication (misunderstanding and taking offense).
True, but without the diversity, the solutions provided by IETF are less 
likely to serve the interests of the extremely diverse Internet 
community.    (And that's what we're here for.)
> burn on contentious issues (ratholing).
Perhaps, but what we commonly do in IETF now is artificially narrow the 
scope of discussions to generate the appearance of consensus without the 
reality.   One result is that our protocols fail to meet the needs of a 
great many users.   Another result is that the Internet architecture has 
gone to hell, and we're now spending a huge amount of effort building 
kludges to fix the problems associated with other kludges.... and the 
new kludges will almost certainly create more problems resulting in a 
need for more kludges later.  (if you need an example, you need look no 
further than PCP and LSN)

Keith

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Mar 2013 09:00:12 -0400

On 03/20/2013 08:51 PM, Martin Rex wrote:
> IMHO, the IESG is not (and maybe never was?) a committee where_each_
> member reviews_all_  of the work, where_each_  forms his very own opionion,
IESG is the review body of last resort.  When WGs do a poor job of 
review, especially cross-area review, the burden falls on IESG to take 
up the slack.   The idea that IESG shouldn't actually do review is naive 
in the extreme, given the brokenness of IETF's structure.

Keith

---

From: John C Klensin <[email-masked]>
Date: Thu, 21 Mar 2013 09:25:49 -0400

--On Thursday, March 21, 2013 08:53 +0000 Brian E Carpenter
<[email-masked]> wrote:

>  Individual ADs vary in their
> habits according to workload, but my sense is that there is a
> strong sense of collective responsibility and definitely not a
> sense of rubber stamping. You could check the statistices I
> suppose, but it is normal that when there is a DISCUSS ballot,
> it is from an AD in another IETF area, and very rarely from
> the co-AD in the same area. That wouldn't happen if the IESG
> was a rubber-stamping machine.

Agreed.  I also suggest that experience in putting both WG and
individual submission documents through the process in the last
several years (and experience that, as Melissa pointed out,
Martin apparently doesn't have) strongly suggests much more
intense scrutiny than would be consistent with rubber-stamping.
>From time to time, I'd suspected that some comments, especially
editorial ones, are posted to prove to everyone that the AD
involved actually did read the document.  That pattern and
associated discussions also strongly suggests that most ADs read
or otherwise carefully consider most documents.  Comments to
prove that one has read the document or that are generated
because, after doing all that work, one must have at least
_some_ comment may be a problem, but, if so, it is different
from the discussion on this thread.

> Therefore, diversity (on any axis) within the IESG can impact
> the results. But it is only at the output end, and diversity
> within WGs should be even more valuable in generating robust
> technical results.

Yes.  Over the years, I have been concerned about a different
issue with IESG diversity.  Today's IESG has 14 voting members
with 12 different company affiliations and no company apparently
supporting more than two ADs.  That is actually not bad in
either absolute terms or, I think, in comparison to the
community.  But we have had years in which company affiliations,
presumed sponsorship, and industry sectors have been much more
concentrated, possibly enough so to be fodder for antitrust
actions focused on particular sets of decisions especially if
industry partnerships and other relationships are considered.
More diversity provides some inherent protection against that
sort of problem as a useful side effect.

Of course, that organizational diversity doesn't help with the
100% European or North American males within a moderately narrow
age range dimensions of the broader issue.

   john

---

From: [email-masked] (Martin Rex)
Date: Thu, 21 Mar 2013 17:23:36 +0100 (CET)

Keith Moore wrote:
> up the slack.

As I understand and see it, the IESG is running IETF processes, 
is mentoring IETF processes (towards WG Chairs, BOFs, individuals
with complaints/appeals), and is trying to keep an eye on the
overall architecture, and put togethe the pieces from reviews
they obtain from their trusted reviewers, such as directorates.

>
> The idea that IESG shouldn't actually do review is naive in the extreme,

Huh?  I believe I never said nor implied this, and certainly never meant
something like that.

I also don't see how _more_ reviews could make things worse.

I believe it would be naive to expect IESG to perform reviews all by
their own, either not asking for or ignoring all other input and
then VOTE in committe style.

The way the IETF positions are defined and filled, biases of various
ways are _inevitable_.  They solution to this is to set up processes
in a fashion that will produce good results even where there is strong
bias of various kinds -- aka "lack of diversity" -- by distributing the
work to other IETF leadership positions besides IESG and by putting in
place controls that will likely notice and object when IESG decisions
seem to exhibit bias, and procedures to deal with this.

But once you structure processes&controls and distribute work in a fashion
that makes it resilient to bias in I* positions, the whole issue of
diversity will be much less of an issue for those positions.

>
> given the brokenness of IETF's structure.

Brokenness usually suggests defects that could have reasonably been
avoided.  While there are certainly a number of features that each
come at a cost, I'm not aware of an actual brokenness of the
IETF's structure, i.e. something that could have been reasonably been
avoided without loosing any benefits.

-Martin

---

From: Melinda Shore <[email-masked]>
Date: Thu, 21 Mar 2013 08:48:26 -0800

> they obtain from their trusted reviewers, such as directorates.

They also gatekeep the work.  If they don't believe that something
is a problem, whether it because it's outside of the experience or
expertise, or it really isn't a problem, it doesn't get chartered,
it doesn't get sponsored, and it doesn't get published.  If
everybody serving that gatekeeper function comes from a similar
background (western white guy working for a large manufacturer)
it's going to tend to create certain biases in the work that's
taken on.

Melinda

---

From: John C Klensin <[email-masked]>
Date: Thu, 21 Mar 2013 13:09:53 -0400

--On Thursday, March 21, 2013 17:23 +0100 Martin Rex
<[email-masked]> wrote:

> Keith Moore wrote:
>...
>> IESG is the review body of last resort.  When WGs do a poor
>> job of  review, especially cross-area review, the burden
>> falls on IESG to take  up the slack.

> As I understand and see it, the IESG is running IETF
> processes,  is mentoring IETF processes (towards WG Chairs,
> BOFs, individuals with complaints/appeals), and is trying to
> keep an eye on the overall architecture, and put togethe the
> pieces from reviews they obtain from their trusted reviewers,
> such as directorates.

Not only does that not match closely what is specified in the
various BCPs, but there is much to quibble about it in practice.
Again, I strongly suggest that actual experience with how things
work would be a lot better than suggesting changes on the basis
of theorizing.

> I also don't see how _more_ reviews could make things worse.

Actually, we have worked examples of that too.  One problem
typically arises when someone reads a document, doesn't
understand it, but, having done the work, bogs document
processing down with typographic and editorial issues that did
not create ambiguity and that could easily be resolved by the
RFC Editor.

Had you said "more competent, focused, and substantive reviews"
I would have agreed.

> I believe it would be naive to expect IESG to perform reviews
> all by their own, either not asking for or ignoring all other
> input and then VOTE in committe style.

But this was exactly the expectation some years ago and
continues to be the expectation of an ADs who have not
established their own review support mechanisms.

> The way the IETF positions are defined and filled, biases of
> various ways are _inevitable_.  They solution to this is to
> set up processes in a fashion that will produce good results
> even where there is strong bias of various kinds -- aka "lack
> of diversity" -- by distributing the work to other IETF
> leadership positions besides IESG and by putting in place
> controls that will likely notice and object when IESG decisions

We more or less started with an IESG that was strictly a
steering and management body with standards approval elsewhere
(in the IAB of the time).   We did away with that, putting
document final review and approval in the IESG as well.  The
community has been extremely resistant to suggestions to change
that.  I agree with you that it would solve a number of problems
but we might be the only two people who believe that making the
change would be desirable on balance.  

Conversely, if you are convinced that there is real bias that
led to particular unfair and incorrect decisions, the appeals
process actually works very well.

> But once you structure processes&controls and distribute work
> in a fashion that makes it resilient to bias in I* positions,
> the whole issue of diversity will be much less of an issue for
> those positions.

As indicated above, I don't think that restructuring is going to
happen.  Even if it did, it would merely reduce the
possibilities for deliberate abuse and bias to distort the
system.  It wouldn't eliminate any of the other arguments for
diversity, most of which apply even if everyone is operating
completely in the open and in good faith.

   john

> Brokenness usually suggests defects that could have reasonably
> been avoided.  While there are certainly a number of features
> that each come at a cost, I'm not aware of an actual
> brokenness of the IETF's structure, i.e. something that could
> have been reasonably been avoided without loosing any benefits.
> 
> 
> -Martin

---

From: SM <[email-masked]>
Date: Thu, 21 Mar 2013 10:19:04 -0700

draft-mrex-tls-secure-renegotiation-04 lists Martin Rex as one of the 
authors.  According to the authors of RFC 6176 Martin Rex has 
reviewed that specification.  According to the editor of RFC 4752 
Martin Rex has contributed to the document.

If being a RFC author is what matters I should stop commenting about 
drafts and focus on being a RFC author.  A significant number of 
drafts from RFC authors fail to be adopted due to lack of 
socialization.  If being Working Group Chair is what matters I should 
do whatever it takes to get that title.  The title won't help me 
understand how to deliver the work.

I welcome feedback from anyone.  I do not bother about whether the 
individual is a RFC author or a Working Chair; any feedback is useful 
to me.  In my opinion Martin Rex's contribution to the IETF is 
significant.  That opinion is not based on what is written in a draft 
or a RFC, or because of a title.

Regards,
-sm

P.S. The IETF is a place of many misunderstandings.

---

From: Melinda Shore <[email-masked]>
Date: Thu, 21 Mar 2013 10:51:46 -0800

On 3/21/13 9:19 AM, SM wrote:
> I welcome feedback from anyone. 

All righty, then.  I do think that when someone is offering an
opinion on the role of the IESG in moving work through the IETF,
it's helpful if they've actually brought new work to the IETF,
socialized it, negotiated with ADs around creating a new working
group or rechartering an existing one, etc.  Because the IESG
effectively functions as gatekeepers to taking on new work, it
matters a lot that they have reasonably wide visibility into
the industry and into real-world networking problems.  Having
an IESG in which everybody has pretty much the same background
is not how you achieve that.

It appears to be the case that people don't understand the
gatekeeping role of the IESG in bringing new work into the
organization unless they've experienced it directly.

Melinda

---

From: John C Klensin <[email-masked]>
Date: Thu, 21 Mar 2013 16:15:11 -0400

--On Thursday, March 21, 2013 10:51 -0800 Melinda Shore
<[email-masked]> wrote:

> opinion on the role of the IESG in moving work through the
> IETF, it's helpful if they've actually brought new work to the
> IETF, socialized it, negotiated with ADs around creating a new
> working group or rechartering an existing one, etc.  Because
> the IESG effectively functions as gatekeepers to taking on new
> work, it matters a lot that they have reasonably wide
> visibility into the industry and into real-world networking
> problems.  Having an IESG in which everybody has pretty much
> the same background is not how you achieve that.
> 

FWIW.  I would add to the above that it is hard -- perhaps not
impossible, but hard-- to understand the document approval role
of the IESG and how it works in practice without experiencing it
first hand.  That experience could come from inside the IESG or
as a WG Chair, author, or shepherd who gets to be on the front
lines of the interactions.  I think it is a problem that others
in the community --especially those who end up on the Nomcom or
making suggestions to it-- don't have that understanding those
experiences bring, but it is a bit of a separate problem except
when it gets tangled up in this sort of discussion.

I, and I believe Melinda, have been pushing back on several of
Martin's comments and a few of yours, not because you lack some
particular credentials but because those remarks don't describe
the workings of the IESG in its various functions as we
understand and have experienced it.  At least for me, every "you
haven't done X" or "you haven't been a Y" comment isn't about
qualifications to comment but is merely a hypothesis as to why
our understanding of how the system works and yours and/or
Martin's are different.

best,
   john

---

From: Eric Burger <[email-masked]>
Date: Thu, 21 Mar 2013 21:28:55 -0400

Quite the contrary. I am interpreting a few of the 'diversity' posts as saying the IETF has fewer companies participating and much fewer smaller companies participating. And I am interpreting those posts as implying some nefarious plot on the part of large, Western, White-European-Male-Dominated companies to make it that way. I was just positing that the IETF might be reflective of the networking industry as a whole.

My thesis, not at all proven and one I am not married to, is there are fewer *companies* out there. With fewer companies, we should not be surprised there are fewer companies participating. On the big side, a ton of major players either merged or left the business. On the small side, a bunch of companies either got acquired or went bankrupt.

Fred Baker and Keith Moore have it right: we need to attract new blood.

On Mar 21, 2013, at 1:01 AM, Hector Santos <[email-masked]> wrote:

> I am not catching the question.  Are you concern there is an increasing potential for a "conflict of interest" loophole the IETF may no longer afford to manage and control?
> 
> We will always have Cooperative Competition.  The IETF damage can only be to sanction the standardization of a problematic method or technology and/or the straggle hold of a market direction.  Generally, the market will speak for itself.  We need the market and technology leaders for the rest to follow, but the IETF role should continue to be the gatekeeper and watchdog for open and public domain standards.
> 
> --
> HLS
>

---

From: Dave Cridland <[email-masked]>
Date: Fri, 22 Mar 2013 09:47:44 +0000

On Fri, Mar 22, 2013 at 1:28 AM, Eric Burger <[email-masked]>wrote:

> Quite the contrary. I am interpreting a few of the 'diversity' posts as
> saying the IETF has fewer companies participating and much fewer smaller
> companies participating. And I am interpreting those posts as implying some
> nefarious plot on the part of large, Western, White-European-Male-Dominated
> companies to make it that way. I was just positing that the IETF might be
> reflective of the networking industry as a whole.
>
> My thesis, not at all proven and one I am not married to, is there are
> fewer *companies* out there. With fewer companies, we should not be
> surprised there are fewer companies participating. On the big side, a ton
> of major players either merged or left the business. On the small side, a
> bunch of companies either got acquired or went bankrupt.
>

It's not a nefarious plot; all the meetings I've had with the rest of the
Western White European Male Cabal haven't discussed the IETF at all,
they're mostly on about the outrageous cost of fuel, these days. Quite
honestly I'm thinking of leaving.

But I suspect the idea that there are fewer companies when the word
"startup" seems to automatically imply something Internet related is wrong.
There's plenty of small companies, but engagement in the IETF is either
irrelevant - because the IETF has slipped lower down the stack - or too
expensive - because when you have fewer than 10 people in your
organization, losing one engineer for half a day a week of IETF activity
represents 1%, whereas if you've a company of even "just" a thousand,
losing an engineer to the IESG full time is an order of magnitude less.
That's not considering the cost as an issue, which it undoubtedly is for a
small company, especially those outside the US for whom the travel costs
are higher.

I think the IETF leadership could solve the stack problem by being more
proactive about encouraging standardization work to be brought into the
IETF - I think having WebFinger here, for example, is very useful at making
the IETF relevant to the startup audience, as it were, and there are
several other of these small, high-stack protocols that would benefit from
being worked on in the IETF and would benefit the IETF too.

Dave.

---

From: Margaret Wasserman <[email-masked]>
Date: Fri, 22 Mar 2013 07:43:44 -0400

On Mar 22, 2013, at 5:47 AM, Dave Cridland <[email-masked]> wrote:
> 
> But I suspect the idea that there are fewer companies when the word "startup" seems to automatically imply something Internet related is wrong. There's plenty of small companies, but engagement in the IETF is either irrelevant - because the IETF has slipped lower down the stack - or too expensive - because when you have fewer than 10 people in your organization, losing one engineer for half a day a week of IETF activity represents 1%, whereas if you've a company of even "just" a thousand, losing an engineer to the IESG full time is an order of magnitude less. That's not considering the cost as an issue, which it undoubtedly is for a small company, especially those outside the US for whom the travel costs are higher.

These sorts of arguments would make more sense if it weren't the case that the candidate pool published by the nomcom is more diverse (in this and other ways) than the people who are selected by the nomcom.

Granted, it may be that the list of _qualified_ candidates is less diverse than the set of all people who are willing to run.  But, if so, that isn't because there aren't companies who are willing/able to support candidates...

Margaret

---

From: John Curran <[email-masked]>
Date: Fri, 22 Mar 2013 09:50:38 -0400

On Mar 21, 2013, at 8:58 AM, Keith Moore <[email-masked]> wrote:
> ...
> Another result is that the Internet architecture has gone to hell, and we're now spending a huge amount of effort building kludges to fix the problems associated with other kludges.... and the new kludges will almost certainly create more problems resulting in a need for more kludges later. 

Keith - 
 
  While I won't argue with the symptoms you describe, I'm not sure I'd attribute it 
  to lack of diversity. Both wildly diverse and relatively homogeneous communities 
  can still bifurcate on multiple approaches to solving any given problem, and if 
  that happens repeatedly and at multiple layers, then we inevitably end up with a
  bit of a mess...  What you are seeing is more likely the result of applying relatively 
  few architectural principles in weeding out possible solutions, i.e. more of the 
  "let a thousand protocols bloom and the market will decide" approach generally 
  taken when establishing working groups and deliverables. 

FYI,
/John

Disclaimer: My views alone.  No new protocols or working groups were created 
            by this email thread... (yet).

---

From: Keith Moore <[email-masked]>
Date: Fri, 22 Mar 2013 14:49:58 -0400

>    taken when establishing working groups and deliverables.

I don't think we're in disagreement.   I think that more diversity in 
IETF would help minimize the risk that some interests were shortchanged, 
but I certainly agree that another factor is a lack of understanding of, 
and respect for, the effect of certain changes on the Internet architecture.

Have we even tried to identify and advertise those architectural 
principles since the early days?

Keith

---

From: John Curran <[email-masked]>
Date: Fri, 22 Mar 2013 15:03:21 -0400

On Mar 22, 2013, at 2:49 PM, Keith Moore <[email-masked]> wrote:

> I don't think we're in disagreement.   I think that more diversity in IETF would help minimize the risk that some interests were shortchanged, but I certainly agree that another factor is a lack of understanding of, and respect for, the effect of certain changes on the Internet architecture.

Interesting... that could be the case.

> Have we even tried to identify and advertise those architectural principles since the early days?

It may no longer be achievable, as pressure from vendors for new features and 
functionality drives new protocols and protocol additions, and while saying "no" 
sounds good in theory, the reality is that it probably doesn't really prevent the 
efforts, as much as cause them to be done as via private vendor=specific efforts...

/John

---

From: Joe Touch <[email-masked]>
Date: Fri, 22 Mar 2013 16:58:15 -0700

On 3/22/2013 4:43 AM, Margaret Wasserman wrote:
...
> Granted, it may be that the list of _qualified_ candidates is less
> diverse than the set of all people who are willing to run. But, if so,
> that isn't because there aren't companies who are willing/able to
                                   ^^^^^^^^^
> support candidates..

If you define diversity as "many different *companies*", sure.

There are organizations besides companies that used to participate in 
the IETF more.

Joe

---

From: Keith Moore <[email-masked]>
Date: Fri, 22 Mar 2013 21:46:32 -0400

> efforts, as much as cause them to be done as via private vendor=specific efforts...
What's necessary, I think, is to respond to pressure for new features 
and functionality differently.   Rather than saying yes or no, say "we 
have noticed that the existing architecture fails to meet needs X, Y, 
and Z; and we propose to change the architecture in such a way to 
accommodate those needs while still safeguarding other important 
features or interests"

Keith

---

From: [email-masked] (Martin Rex)
Date: Sat, 23 Mar 2013 03:17:30 +0100 (CET)

> it's going to tend to create certain biases in the work that's

To me, this "gatekeeping" looks more like an act of self-defence.
When I started going to IETFs in July 1995 (33rd IETF in Stockholm),
there were only 2-hour slots and a number of WGs were using 2 slots.
Over the years, the number of WGs & BOFs grew, and some slots were
split in two, fewer and fewer WGs meeted twice, and then additonal
slots were added on friday, and it became more and more difficult
to avoid conflicts (and for co-ADs to ensure that at least one of
them could participate in WGs of their area).

Chartering and running a WG has a significant process overhead,
and requires (a) volunteers to do do the work and (b) volunteers
with IETF process experience to drive the processes.

Before allowing a new WG to start, ADs seem to make an assessment
of whether there are sufficient volunteers of both kinds to do the
work, whether there is sufficient expertise in the IETF to perform
adequate review of the results and whether there is sufficient
momentum in the effort (sufficiently large interest group,
sufficiently strong desire) so that there is actually going to
be results.

What IETF participants often do to route around this (that is at least
a common practice in the security area), is to set up WGs sufficiently
broad that not only a few WG items are discussed, but also a number of
individual submissions on the side, only some of which are officially
adopted as WG work items.  And WG charters may sometimes be several
years out of date.

One of the problems of long running WGs is, however, that they may
slow down and kill new work due to "diversity" over the years.
PKIX is in such a position.  Over the years a huge number of
documents were created, and fixing defects in existing documents
is roadblock by personal pride (for the original documents, including
their defects) and the fear of loosing face when implementations
in the installed base are suddenly identified as being defective.

The root cause of the many defects is vast feature bloat.
The original design principle "perfection is achieved not when there
is nothing left to add, but when there is nothing left to remove"
does not apply to PKIX.  And the same problem is slowly creeping
into other protocols of the IETF security area as well.
TLSv1.2 is also suffering from feature bloat and a few defects,
and pride is likely to prevent dropping of the goofed SignatureAlgorithm
extension.

-Martin

---

From: Melinda Shore <[email-masked]>
Date: Fri, 22 Mar 2013 18:22:04 -0800

> sufficiently strong desire) so that there is actually going to

The value of the work, the likelihood of success, perceived
need in the industry, and "correctness" are assessed.

Sorry, Martin, but you're not describing how the IETF actually
works.

Melinda

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 23 Mar 2013 02:28:55 +0000

> Sorry, Martin, but you're not describing how the IETF actually

FWIW, seems to me you're describing one leg of the elephant
each. From my experience I'd say you both actually have an
appreciation of the overall elephant but that's not coming
out in this kind of thread.

S.

PS: Martin does write more inflammatory text sometimes, but
I think he knows and has previously ack'd that;-)

---

From: Melinda Shore <[email-masked]>
Date: Fri, 22 Mar 2013 18:33:17 -0800

> out in this kind of thread.

Well, maybe, but it seems to me that he's lost track of the
discussion.  My argument is that the IESG has a gatekeeping
function in taking on new work, that's based (aside from
resourcing) on a set of values, their view of what's needed in
the industry, etc.  With a uniform IESG membership you're not
going to get a rather uniform view of the overall context
for IETF work, you'll lose perspective, and consequently there's
value to having members who aren't almost all from big
manufacturers.

I'm not sure what Martin's point is, to be honest.

Melinda

---

From: Mark Prior <[email-masked]>
Date: Sat, 23 Mar 2013 13:47:06 +1030

> the people-resources nor travel and meeting budget to commit to

Hi John,

I think that any small shop (whatever that means) would be put off if 
they sent someone to an IETF as it appears that it is dominated by the 
big vendors pushing their own agendas. Given that impression I imagine 
the small shop has better things to do with its resources.

Mark.

---

From: [email-masked] (Martin Rex)
Date: Sat, 23 Mar 2013 04:17:51 +0100 (CET)

Melinda Shore wrote:
> Stephen Farrell wrote:

Since I personally participated only IETFs 33rd through 43rd plus 48th,
the picture of the elephant might be "somewhat outdated".
Back then, I had many fine lunches and dinners with WG chairs,
security AD and other folks from the security area.

> value to having members who aren't almost all from big

I'm not so sure I would still call it "gatekeeping" these days.
To me, it looks more like "trying to hold back the flood".

In 1995 there were fewer WGs, only 2 hours slots at Meetings, and
some WGs were regularly using two slots.  Today, some ADs might
want to start a new WG in their area only when they can make an
exiting WG in their area conclude.  So you might be running in a
competition to the WG that is currently being done, rather being
subject to only the IESGs free and unconstrained value judgement.

-Martin

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 22 Mar 2013 23:24:46 -0400

I would have to disagree with:

On 3/22/2013 11:17 PM, Mark Prior wrote:
...
> the small shop has better things to do with its resources.

While I work for a very large shop now, for most of my career I have 
worked for small or mid-size shops.  Even startups.  And all saw value 
in sending me to IETF meetings.

Yours,
Joel

---

From: [email-masked] (Martin Rex)
Date: Sat, 23 Mar 2013 05:46:02 +0100 (CET)

> no problem with it" to "I listened to the discussion, and I have no problem."

I don't think so.

When I had a phone call with Russ Housley in early 2010, one of the
things I said was that considering the amount of document that pass
through the IESG, I would assume that not every AD was reading every
document and that each AD might be reading only about 1/4 of them,
and he replied that this could be near the real numbers.

> rubber stamping.

I do not think that the IESG is actively rubber stamping, and I
know of a few past events where the IESG actively resisted to such
attempts.

However, the ballot process is made to err towards publication
of a document.  How often does the IESG *not* publish documents,
and why?

Considering the effort it took to convince IESG not to take an
action / publish a document (IIRC draft-ietf-v6ops-6to4-to-historic-04.txt)
then I'm much less convinced that having a ballot procedure that fails
towards action/publication is such a good idea.

-Martin

---

From: <[email-masked]>
Date: Sat, 23 Mar 2013 05:06:22 +0000

Joel,

the small shops you worked for were in the US, right?

Lloyd Wood

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Joel M. Halpern [[email-masked]]
Sent: 23 March 2013 03:24
To: Mark Prior
Cc: John C Klensin; [email-masked] Discussion; Eric Burger
Subject: Re: Less Corporate Diversity

Yours,
Joel

---

From: Bob Hinden <[email-masked]>
Date: Sat, 23 Mar 2013 07:27:06 +0100

To raise this discussion up a bit, I can think two other related reasons why there may be less corporate diversity in the IETF.  

The first is that it's possible to build applications and businesses that take advantage of the Internet without having to come to the IETF to standardize anything.  The work of the IETF (and related organizations like W3C, IEEE, etc.) have made this possible.  A success problem so to speak.

The second is that it's very hard to make changes at the IP and transport layers and have them be deployed in scale given middle boxes.  Many organizations have stopped trying and focus on making things work on top of http.  This also doesn't require coming to the IETF.

My point in this, is that things have changed and it's not just about how the IETF works, makes decisions, takes on new work, cost of registration, travel, etc.  Also, I am not making a value judgement here, only trying to acknowledge reality.

Bob

---

From: John C Klensin <[email-masked]>
Date: Sat, 23 Mar 2013 03:37:14 -0400

--On Saturday, March 23, 2013 03:17 +0100 Martin Rex
<[email-masked]> wrote:

> Melinda Shore wrote:
>...
> To me, this "gatekeeping" looks more like an act of
> self-defence. When I started going to IETFs in July 1995 (33rd
> IETF in Stockholm), there were only 2-hour slots and a number
> of WGs were using 2 slots. Over the years, the number of WGs &
> BOFs grew, and some slots were split in two, fewer and fewer
> WGs meeted twice, and then additonal slots were added on
> friday, and it became more and more difficult to avoid
> conflicts (and for co-ADs to ensure that at least one of them
> could participate in WGs of their area).

If that were true, then the ADs are doing a lousy job of it.  If
the goal were self-preservation as you suggest, then they would
be drastically reducing the number of WGs, not merely being a
little bit selective about new ones and allowing the work
expansion you identify above.  Consideration of that issue is
not exactly new, see the long-expired draft-huston-ietf-pact or
the slightly later draft-klensin-overload (they differ about the
right approach but not about the problem or the need to push
back on the regular expansion on the number of WGs).

> and requires (a) volunteers to do do the work and (b)
> volunteers with IETF process experience to drive the processes.

Yes.  See the drafts mentioned above.

>...
> What IETF participants often do to route around this (that is
> at least a common practice in the security area), is to set up
> WGs sufficiently broad that not only a few WG items are
> discussed, but also a number of individual submissions on the
> side, only some of which are officially adopted as WG work
> items.  And WG charters may sometimes be several years out of
> date.
> 
> One of the problems of long running WGs is, however, that they
> may slow down and kill new work due to "diversity" over the
> years. PKIX is in such a position.  Over the years a huge
> number of documents were created, and fixing defects in
> existing documents is roadblock by personal pride (for the
> original documents, including their defects) and the fear of
> loosing face when implementations in the installed base are
> suddenly identified as being defective.

These are serious allegations that the Security ADs are not
doing their jobs.  Have you discussed the issues with
appropriate Nomcoms?  In SAAG meetings?  Considered initiating
recalls where you could identify your complaints in public.

> The original design principle "perfection is achieved not when
> there is nothing left to add, but when there is nothing left
> to remove"
>...

I happen to believe this, but have noticed that many WGs don't
behave that way in practice.  I've also noticed that the IETF
sometimes seems to be slipping toward what we used to deride as
the decision-making process of the ITU, characterized as
resolving an apparent choice between two alternatives by putting
both in.  See the discussion in draft-resnick-on-consensus.

   john

 does not apply to PKIX.  And the same problem is
> slowly creeping into other protocols of the IETF security area
> as well. TLSv1.2 is also suffering from feature bloat and a
> few defects, and pride is likely to prevent dropping of the
> goofed SignatureAlgorithm extension.
> 
> 
> -Martin

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 23 Mar 2013 08:02:48 +0000

On 23/03/2013 01:46, Keith Moore wrote:
>>> IETF would help minimize the risk that some interests were
>>> shortchanged, but I certainly agree that another factor is a lack of
>>> understanding of, and respect for, the effect of certain changes on
>>> the Internet architecture.

Keith, having been one of the progenitors and the editor of RFC 1958,
I hear what you're saying. On the other hand, I have observed with horror
the whole "clean slate Internet" exercise of the last few years. I am
not optimistic that we could ever reach consensus. In fact I have
been pessimistic about this for years (ever since RFC 2775 in fact).

It's rather like trying to design a new global architecture for the road
system.

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 23 Mar 2013 08:20:45 +0000

Martin

I don't want to prolong this sub-sub-sub-thread but really I can't
leave this unchallenged:

>> no problem with it" to "I listened to the discussion, and I have no problem."

I do think so, and if you didn't notice, I cut and pasted those phrases
from the IESG's own web page.

> and he replied that this could be near the real numbers.

Who knows? When I was in the IESG, I would have said more like 50%
but obviously YMMV. How is that incompatible with stating the NO OBJECTION
ranges between "I read it" and "I listened to the discussion"?

> of a document.  How often does the IESG *not* publish documents,

Why does that statistic matter? The fact that the IESG is actively
and critically reviewing drafts is the end-stop for the main
technical review, which is *of course* performed by the WG (except
for the relatively rare non-WG drafts). If the IESG habitually
rejected documents, it would tell us that the ADs and WG Chairs
concerned were doing a lousy job.

> towards action/publication is such a good idea.

That's a case I know intimately of course, having been author of the
rival draft as well as the original 6to4 spec. I'd say it's a case that
proves that our process is robust and that the IESG is doing exactly
what it should - in that case, concluding that the draft, having received
a pretty rough consensus in v6ops, did not achieve rough consensus
in the IETF as a whole. It was a very close call, and there are still
many people who think it was wrong (as you know if you watch
the traffic on [email-masked]).

    Brian

---

From: Lixia Zhang <[email-masked]>
Date: Sat, 23 Mar 2013 05:33:50 -0700

On Mar 23, 2013, at 1:02 AM, Brian E Carpenter <[email-masked]> wrote:

>>> It may no longer be achievable, as pressure from vendors for new
>>> features and functionality drives new protocols and protocol additions, and while saying "no" sounds good in theory, the reality is that it probably doesn't really prevent the efforts, as much as cause them to be done as via private vendor=specific efforts...
>>> 

there have indeed been many proposals which diverged in all directions, so I can understand the "horror" feeling about some of them (which, I am afraid, reflects that we have not been doing that well in architecture education).

I am optimistic, however, that a right new architecture will emerge.

I am not sure whether the "road system" analogy fits well since we build "info highway", not physical highway.  Did the old telco system look like the road system many years back?  Internet as a different global infrastructure has largely subsumed it, isn't it? 

Lixia

---

From: Christian Huitema <[email-masked]>
Date: Sat, 23 Mar 2013 14:59:02 +0000

Melinda is right about the gatekeeping role of the IETF. I have personally experienced that several times. Negotiating that gatekeeping may well be the hardest part of getting a work started. And it mostly has to do with one's capacity to "convince" the relevant AD of the value of the work.

This is probably why the diversity of viewpoints in the steering group is most useful.  

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Melinda Shore
Sent: Friday, March 22, 2013 7:33 PM
To: Stephen Farrell
Cc: [email-masked]
Subject: Re: Less Corporate Diversity

On 3/22/13 6:28 PM, Stephen Farrell wrote:
> FWIW, seems to me you're describing one leg of the elephant each. From 
> my experience I'd say you both actually have an appreciation of the 
> overall elephant but that's not coming out in this kind of thread.

Well, maybe, but it seems to me that he's lost track of the discussion.  My argument is that the IESG has a gatekeeping function in taking on new work, that's based (aside from
resourcing) on a set of values, their view of what's needed in the industry, etc.  With a uniform IESG membership you're not going to get a rather uniform view of the overall context for IETF work, you'll lose perspective, and consequently there's value to having members who aren't almost all from big manufacturers.

Melinda

---

From: Dave Crocker <[email-masked]>
Date: Sat, 23 Mar 2013 09:00:35 -0700

> in sending me to IETF meetings.

Personal reference can be helpful for suggesting lines of analysis, but 
not for obtaining the results of that analysis.

As example of possible 'sampling bias', note that you were already 
targeting IETF attendance and a company that hires you is likely to 
therefore already make that decision.

As usual, we need to be /very/ careful in treating ourselves as 
representative of a market segment.

A better test of whether the IETF is seen as useful and cost-effective 
for small companies is to compare there proportion of presence in the 
IETF with their proportion of presence in the industry.

Or look at the presence of /new/ participation by small companies, 
compared with the past, if we have the data.

Of course, these sorts of comparisons takes more thought and more work...

d/

-- 
  Dave Crocker
  Brandenburg InternetWorking
  bbiw.net

---

From: Aaron Yi DING <[email-masked]>
Date: Sat, 23 Mar 2013 19:32:38 +0200

On 23/03/2013 18:00, Dave Crocker wrote:
> Personal reference can be helpful for suggesting lines of analysis, 
> but not for obtaining the results of that analysis.
>

Precisely.

> compared with the past, if we have the data.

Perhaps also include the organizations of all kinds, regardless of the 
size. Meanwhile, the definition of "big" and "small" can be made less rigid.

> Of course, these sorts of comparisons takes more thought and more work...

If deemed valuable for the grand topic Diversity, it will be good to 
start preparing the analysis the sooner the better, since it takes time 
and requires efforts.

-- Aaron

---

From: Margaret Wasserman <[email-masked]>
Date: Sat, 23 Mar 2013 20:47:03 -0400

On Mar 22, 2013, at 7:58 PM, Joe Touch <[email-masked]> wrote:
> There are organizations besides companies that used to participate in the IETF more.

Joe, I was responding specifically to the assertion that we don't have more diversity in the I* (along various lines) because organizations are unwilling to sponsor those candidates for I* positions.

The list of available candidates, as published by the nomcom, has been (for several years now) considerably more diverse than the people who are selected.  There might be many valid reasons for that, including the possibility that the group of _qualified_ candidates is less diverse than the group of _available_ candidates, but the reason that we do not have more diversity on the I* is _not_ because we don't have a diverse pool of available candidates.

Margaret